services:
  bitwarden:
    env_file:
      - settings.env
    image: ${REGISTRY:-ghcr.io/bitwarden}/self-host:${TAG:-beta}
    networks:
      - reverse-proxy
    ports:
      - "80:8080"
      - "443:8443"
    restart: always
    volumes:
      - bitwarden:/etc/bitwarden
      - logs:/var/log/bitwarden

networks:
  reverse-proxy:
    external:true
